{{ define "main" }}
<main role="main">

    {{ if hasPrefix .RelPermalink "/blog/" }}
		<!-- Big Pretty Banner //-->
		<div class="container-fluid px-0 mx-0">
			<div class="container p-5 my-4 shadow br">
				<h2 class="pb-2 border-bottom text-muted">{{.Page.Title}}</h2>
				<p class="lead">{{ .Date.Format "Monday, January 2, 2006" | safeHTML }} -
					{{ range .Params.authors }}
						{{ with $.Site.GetPage "taxonomyTerm" (printf "authors/%s" (urlize .)) }}
							{{ .Params.name }} ({{.Params.role}})
						{{ end }}
					{{ end }}</p>
			</div>
		</div>
    {{ else }}
		<!-- Big Pretty Banner //-->
		<div class="container-fluid px-0 mx-0">
			<div class="container p-5 my-4 shadow br">
				<h2 class="pb-2 border-bottom text-muted">{{.Title}}</h2>
				<p class="lead">{{.Params.Callout}}</p>
			</div>
		</div>
    {{ end }}

    <div class="container p-5 my-4 shadow br">
        <!--{{ if hasPrefix .RelPermalink "/blog/" }}
            <div class="col-12 py-2">
                <div class="row py-1">
                    <div class="text-right">
                    </div>&nbsp;&nbsp;
                    <div class="text-right">
                        {{ range .Params.categories }}
                            {{ with $.Site.GetPage "taxonomyTerm" (printf "categories/%s" (urlize .)) }}
                                <a href="{{.Permalink}}"><span class="badge badge-{{.Params.color}}">{{ .Params.name }}</span></a>
                            {{ end }}
                        {{ end }}
                    </div>
                </div>
            </div>
        {{ end }} -->
    {{ .Content }}
    </div>

    {{ if hasPrefix .RelPermalink "/blog/" }}
        <div class="container p-5 my-4 shadow br">
                <h3 class="pb-2 border-bottom text-muted">Like What You See? Join the Collective</h3>
                <p class="lead">Work on Serpent OS is made possible by an awesome community. With
                their continued support we're able to keep working on the project, as well as covering the running
                costs and purchase of hardware, etc.
                </p>
                <script src="https://opencollective.com/serpent-os/banner.js"></script>
                <center><a href="https://opencollective.com/serpent-os/contribute" class="my-2" target="_blank">
                    <img src="https://opencollective.com/webpack/contribute/button@2x.png?color=blue" width=300 />
                </a></center>
        </div>
    {{ end }}
</main>
{{ end }}
